@charset "utf-8";

.grid {
  display: grid;
  grid-gap: 1rem;
}

.grid-2 {
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
}

.app-description {
  position: fixed;
  transform: translateY(-100svh);
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 500;
  background: #fff;
  padding: 6rem 2rem;
  overflow-y: auto;

  &.active {
    transform: translateY(none);
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-bottom: 1rem;
    font-weight: 600;

    &:not(:first-child) {
      margin-top: 2rem;
    }
  }

  h1 {
    font-size: 1.2rem;
    font-weight: 600;
  }

  ul {
    margin-left: 1.5rem;
    li {
      list-style-type: disc;
    }
  }

  ol {
    margin-left: 1.5rem;
    li {
      list-style-type: decimal;
    }
  }
}

.app-content {
  width: 100%;
  height: 100svh;
  overflow-y: auto;

  textarea {
    padding: 1rem;
    min-height: 400px;
    background: #fff;
    border: 0;
    outline: none;
    resize: vertical;
  }
}

.button {
  padding: 1rem 2rem;
  width: fit-content;
  background: #000;
  color: #fff;
  border-radius: 10em;
  font-weight: 500;
  cursor: pointer;
}